#ifndef CONFIG_H_
#define CONFIG_H_

#define CLK_FIN				12000000
#define CLK_PLL_M			12
#define CLK_PLL_N			1
#define CLK_CCLK_DIV		6
#define CLK_USBCLK_DIV		(CLK_FCCO/48000000)
#define CLK_FCCO			((CLK_FIN * CLK_PLL_M *2)/CLK_PLL_N)
#define CLK_CCLK			(CLK_FCCO/CLK_CCLK_DIV)
#define CLK_USBCLK			(CLK_FCCO/CLK_USBCLK_DIV)
#define CLK_PCLK_DEFAULT	(CLK_CCLK/4)
#define CLK_PCLK_UART0		CLK_PCLK_DEFAULT

#if CLK_FCCO >= 290000000
#error Fcco is too high
#endif

#if CLK_CCLK > 72000000
#error cclk is too high
#endif

#endif /*CONFIG_H_*/
